#include <vcl.h>
#pragma hdrstop
#include "Unit24.h"
#pragma package(smart_init)
#pragma resource "*.dfm"

TForm1 *Form1;

  Variant MSWord;
  PropertySet Connect_True("Visible"); // polącz
  Procedure Disconnect_True("Quit");   // rozlącz

//---------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{

}
//---------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
  try
  {
    MSWord = Variant::CreateObject("Word.Application");
    Connect_True << true;
    MSWord.Exec(Connect_True);
  }
  catch(...)
  {
    Application->MessageBox("Word nie jest zainstalowany "
                      " lub utworzenie kolekcji programu "
                      " nie jest możliwe. Zamknij aplikację",
                      "Open Error", MB_OKCANCEL);
   }
}
//---------------------------------------------------------
void __fastcall TForm1::Button2Click(TObject *Sender)
{
  try
  {
    Disconnect_True << false;
    MSWord.Exec(Disconnect_True);
    MSWord = Unassigned;
  }
  catch(...)
  {
    Application->MessageBox("Word nie jest zainstalowany "
                       " lub utworzenie kolekcji "
                       " nie jest możliwe. Zamknij aplikację",
                       "Open Error", MB_OKCANCEL);
   }
}
//---------------------------------------------------------
void __fastcall TForm1::Button5Click(TObject *Sender)
{
   Application->Terminate();
}
//---------------------------------------------------------


